/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 运维系统
 * 创建日期:2022/8/22
 */
package org.springblade.modules.business.monitor.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.business.monitor.entity.WaterFlowRateInfoEntity;
import org.springblade.modules.business.monitor.vo.WaterFlowRateInfoVO;

import java.util.Objects;

/***
 * Date:2022/8/22
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public class WaterFlowRateWrapper extends BaseEntityWrapper<WaterFlowRateInfoEntity, WaterFlowRateInfoVO> {
    public static WaterFlowRateWrapper build() {
        return new WaterFlowRateWrapper();
    }

    @Override
    public WaterFlowRateInfoVO entityVO(WaterFlowRateInfoEntity entity) {
        WaterFlowRateInfoVO vo = Objects.requireNonNull(BeanUtil.copy(entity, WaterFlowRateInfoVO.class));
        return entityVO(vo);
    }

    public WaterFlowRateInfoVO entityVO(WaterFlowRateInfoVO vo) {
        return vo;
    }

}
